/********************************************************/
/*							*/
/*		       Cold boot			*/
/*							*/
/*		V 1.1	6/12/90				*/
/*							*/
/*		Mark Williams "C"  3.0.5		*/
/*							*/
/********************************************************/

# include <osbind.h>
# include <xbios.h>
			
# define dump_vec	(( long *) 0x502) /* define dump_vec as a pointer to   
                                          hard copy dump vector     	    */
   long _stksize = 64L;   /* We need very little stack for this             */
   extern void hot_key();
   char *msg[16] =  {"\033E\n\n\r",
                  "  ****************************\r\n",
		  "  *                          *\r\n",
	          "  *         Larry's          *\r\n",
		  "  *       Magic Button       *\r\n",
		  "  *                          *\r\n",
		  "  *      Alternate Help      *\r\n",
		  "  *      Will generate A     *\r\n",
		  "  *         Coldboot         *\r\n",
		  "  *          V 1.2           *\r\n",
		  "  *  Compuserv 73217,2142    *\r\n",
		  "  *  Delphi    Polock        *\r\n",
		  "  *                          *\r\n",
		  "  *    Press any key to      *\r\n",
		  "  *        Continue          *\r\n",
		  "  ****************************\r\n" };
		   
main()
{

   long save_ssp;

   for(save_ssp=0; save_ssp<16; save_ssp++)
	Cconws(msg[save_ssp]);
   save_ssp = Super(0L);	/* save stack pointer go to supervisor mode */
   *dump_vec =  (( long)hot_key); 	/* point dump_vec to our routine    */  
   while(Bconstat(2) == 0);	  	/* wait for key press		    */
   Super(save_ssp);
   Ptermres(0x03c0L,0);  /* Terminate and stay resident	    */

}
	    


